/*
  GP2X minimal library by rlyeh, 2005. emulnation.info@rlyeh (swap it!)

  License
  =======

  Free for non-commercial projects (it would be nice receiving a mail from you).
  Other cases, ask me first.

  GamePark Holdings is not allowed to use this library and/or use parts from it.

  ------------------------------------------------------------------------------

  Simple sample to show you how to use palettes.
*/

#include "minimal.h"

int main(int argc, char *argv[])
{
 gp2x_init(1000, 8, 11025,16,1,60);

 while(1)
 {
  unsigned long  pad=gp2x_joystick_read(), R=0,G=0,B=0;
  
  if(pad & GP2X_L) if(pad & GP2X_R) exit(0);           

  if(pad & GP2X_A) R=255;
  if(pad & GP2X_X) G=255;
  if(pad & GP2X_B) B=255;

  gp2x_video_color8(0,R,G,B);
  gp2x_video_setpalette();
 }
}

void gp2x_sound_frame(void *blah, void *buff, int samples) {}


/*

compilation:

arm-linux-gcc minimal.c 8bits.c -static -lpthread

output:

different color patterns when you press buttons.
L+R to exit.

*/

